<!---- 
    Author 	: Wahyu
    Tanggal : 23-10-2014	
    Revisi 	:
-->
<?php
//---------Untuk privellege jika dia ada tombol save,suspen,jurnal----------
	if($group_user->SavePrivillage == 1){
		$cek_autority_save  = "";
	}
	else{
		$cek_autority_save 	= "disabled";
	}
	
	if($group_user->JournalPrivillage == 1){
		$cek_autority_journal  = "";
	}
	else{
		$cek_autority_journal 	= "disabled";
	}
	
	if($group_user->DeletePrivillage == 1){
		$cek_autority_delete  = "";
	}
	else{
		$cek_autority_delete 	= "disabled";
	}

	if($group_user->ReversePrivillage == 1){
        $cek_autority_reverse  = "";
    }
    else{
        $cek_autority_reverse    = "display:none";
    }
//-------------end----------------------------
?>
<div class="easyui-layout" data-options="fit:true,border:false">
	<!-- top view-->
	<div id="form-header" data-options="region:'north',border:false" >
		 <div id="form-header-wrapper">
				<table cellpadding="0" cellspacing="0" width="100%" height="100%" border="0">
					<tr>
						<td align="left" valign="middle">	
                            <input type="checkbox" class="easyui-checkbox" name="chk_suspended" id="chk_suspended" style="margin-top:0px;margin-right:1px;" onclick="suspend_transaction(1,'<?= $menu_link;?>',$('#LFNumber').val(),'<?=$menu_label;?>')" <?=(!in_array($detail->TransStatus,array(5,6))) ? 'disabled' : ''?> <?=($detail->TransStatus) == 3 ? 'checked':''?> <?= $cek_autority_delete;?>/>
                            <span style="display:inline-block;margin-top:2px;<?=(($detail->TransStatus==3)?'color:gray;':'color:black')?>">Suspend</span>
							<a href="#" class="easyui-linkbutton" plain="true" iconCls="icon-currency" onclick="app_payment()" <?=(in_array($detail->TransStatus,array(1)))?'':'disabled'?>>To Payment</a>
							<a href="#" class="easyui-linkbutton" iconCls="icon-journal" plain="true" onClick="parent.tab_edit('Journal Loan Funding', '<?= $menu_link; ?>', 'icon-bank', 'to_journal',$('#LFNumber').val())" <?= $cek_autority_journal;?>/>Journal</a>
							<a href="javascript:void(0)" class="easyui-linkbutton" iconCls="icon-reload" plain="true" onclick="location.reload()">Refresh</a>						
							
						</td>	
						<td align="center" width="40%"><span id="approval_information">
			                <?php
			                if($detail->TransStatus == 5){
			                    echo get_status_approval_header($detail->TransStatus);
			                }
			                ?>
			                </span></td>						
						<td height="25" align="right" valign="middle">								
							<span class="form-title">
								<?= $menu_label; ?>
							</span>
						</td>
					</tr>
				</table>		     	
		 </div>			
	</div>
	<!-- end top view --->	
	<!-- center view -->
	<div id="form-body-grey" data-options="region:'center',border:false">
    <?php if($detail->TransStatus==2):?>
        <div class="blanket"></div>
        <div class="paid-box"><b>Paid</b></div>
    <?php elseif($detail->TransStatus==3): ?>
    	 <div class="blanket"></div>
         <div class="suspend-box"><b>Suspended</b></div>
	<?php elseif($detail->TransStatus == 1): ?>
         <div class="blanket"></div>
         <div class="cancel-box"><b>On Progress</b></div>
	<?php endif;?>
		<div id="form-wrapper" class="easyui-panel"  style="width:1180%;padding:5px;" fit="true">
			<form id="fm_loan_funding" name="fm_loan_funding" method="post" action="">
				<!-- Form Header -->
                <table width="100%" height="141" cellpadding="0" cellspacing="0">
                <tr>
                    <td width="50%" valign="top">
						 <table cellpadding="0" cellspacing="3" width="100%" height="100%" border="0">				   
							<tr>
								<td width="150">
									 <b><label>Loan Account</label></td>
								<td width="10">:</td>
								<td>
									<select name="cmb_loan_account" class="combo-grid" editable="true" id="cmb_loan_account" required="required" style="width:369px;height:20px" <?=in_array($detail->TransStatus,array(1,2,3)) ? 'disabled':'';?> data-options="
										value:'<?= $detail->LFAccount; ?>', 
										idField: 'AccountNumber',
										textField: 'AccountName',
										url: '<?= base_url().$menu_link; ?>/get_loan_account',            
										columns: [[
											{field:'AccountNumber',title:'Account Code',width:150,'hidden':true},
											{field:'AccountName',title:'Account Name',width:250},
											{field:'CurrencyCode',title:'Currency Code',width:50}
										]],
										fitColumns: false,
										onSelect:function(IndexRow,rowData){
											$('.app-button').linkbutton('disable');
											$('#currency_code').val(rowData.CurrencyCode);
											$('#from_currency').html(rowData.CurrencyCode);
											$('#amount_currency').html(rowData.CurrencyCode);
											var to_currency = $('#to_currency').html();
											if(to_currency == 'IDR' && rowData.CurrencyCode == 'IDR'){
                                            	$('#txt_rate').numberbox('setValue', 1);
										   		$('#txt_rate').prop('readonly',true);
                                            }else{
                                            	get_master_rate(rowData.CurrencyCode);  
                                            	$('#txt_rate').prop('readonly',false);
                                            }

                                            $('#cmb_receipt_account').combogrid('setValue','');
                                            $('#cmb_receipt_account').combogrid('grid').datagrid('load',{
							            		CurrencyCode:rowData.CurrencyCode
							            	});
										   	
										},onLoadSuccess:function(data){
											$('#cmb_receipt_account').combogrid('grid').datagrid('load',{
							            		CurrencyCode:'<?= $detail->CurrencyCode; ?>'
							            	});
										}
										">
									</select>
									
								</td>
							</tr>
							<tr>
								<td width="150">
									 <b><label>Transfer To</label></td>
								<td width="10">:</td>
								<td valign="top" align="left">
									<select name="cmb_receipt_account" class="combo-grid" editable="true" id="cmb_receipt_account" required="required" style="width:369px;height:20px;" <?=in_array($detail->TransStatus,array(1,2,3)) ? 'disabled':'';?>  data-options="
										value:'<?= $detail->ReceiptAccount; ?>',
										panelWidth: 380,
										idField: 'AccountNumber',
										textField: 'AccountName',
										url: '<?= base_url().$menu_link; ?>/get_receipt_account',            
										columns: [[
											{field:'AccountNumber',title:'Account Code',width:150,'hidden':true},
											{field:'AccountName',title:'Account Name',width:250},
											{field:'CurrencyCode',title:'Currency Code',width:50}
										]],
										fitColumns: false,
										onSelect: function(rowIndex, rowData){
											 $('.app-button').linkbutton('disable');
                                            get_bank_balance(rowData.AccountNumber,rowData.CurrencyCode);

                                            var from_currency = $('#currency_code').val();

                                            if(from_currency == 'IDR' && rowData.CurrencyCode == 'IDR'){
                                            	
										   		$('#txt_rate').prop('readonly',true);
										   		$('#to_currency').html(rowData.CurrencyCode);
                                            }else{
                                            	
                                            	$('#txt_rate').prop('readonly',false);
                                            	$('#to_currency').html('IDR');
                                            }
                                        }
										">
										</select>
								</td>
								
							</tr>
							
							<tr>
								<td width="150">
									  <b><label>Rate</label>
							    </td>
								<td width="10">:</td>
								<td>
                            		<input name="txt_rate" id="txt_rate" type="numberbox" value="<?=$detail->CurrencyRate;?>" class="easyui-numberbox" style="width:200px;" data-options=" min:0.01,precision:2,decimalSeparator:',',groupSeparator:'.'" formatter="formatRp" /> <strong>Currency :</strong> <span id="from_currency"><?= $detail->CurrencyCode; ?></span> <span>TO</span> <span id="to_currency">IDR</span>
                            	</td>
								
							</tr>
							<tr>
                            <td width="150"><b><?php echo label_grid('check_no');?></b></td>
	                            <td width="10"><b>:</b></td>
	                            <td>
	                                 <input type="text" name="cheque_number" id="cheque_number" value="<?=$detail->ChequeNumber;?>" style="width:300px" <?=in_array($detail->TransStatus,array(1,2,3,9))?'disabled':'';?>>
	                            </td>
	                        </tr>
							<tr>
								<td width="150">
									  <b><label>Description</label></td>
								<td width="10">:</td>
								<td>
									<textarea class="textbox" style="resize:none;" name="txa_description" id="txa_description" cols="50" rows="3" <?=in_array($detail->TransStatus,array(1,2,3)) ? 'disabled':'';?>><?="$detail->LFDesc"; ?></textarea></td>
								<td valign="top" align="left">&nbsp;</td>
							</tr>
							<tr>
							  <td width="150"><b><label>Amount (<span id="amount_currency"> <?= $detail->CurrencyCode; ?></span>)</label></b></td>
							  <td width="10">:</td>
							  <td>
								<input name="txt_amount" id="txt_amount" type="text" value="<?="$detail->LFAmount"; ?>" class="easyui-numberbox" data-options="min:0.01,precision:2,decimalSeparator:',',groupSeparator:'.',prefix:''" style="width:369px;height:18px;text-align:right" required="required" />
								<input name="currency_code" id="currency_code" type="hidden" value="<?= $detail->CurrencyCode; ?>" />
								<!--<a href="#" class="easyui-linkbutton" data-options="iconCls:'icon-calculator',size:'small'" onClick="">-->
							  </td>
							  
							</tr>
							
						</table>
					</td>
					<td width="50%" valign="top">
                        <table width="100%" cellpadding="0" cellspacing="1" style="margin-top:4px;">
                        <tr height="20">
                            <td rowspan="7" valign="top">&nbsp;</td>
                            <td width="122">&nbsp;</td>
                            <td width="190" style="background:#333399;text-align:center;color:#FFF;">Loan No.</td>
                            <td width="122" style="background:#333399;text-align:center;color:#FFF;">Loan Date</td>
                        </tr>
                        <tr height="20">
                        	<td>&nbsp;</td>
                            <td><input type="text" name="LFNumber" id="LFNumber" value="<?="$detail->LFNumber";?>" class="easyui-validatebox" style="width:190px;height:18px;text-align:center;" required readonly  /></td>
                            <td><input type="text" name="txt_loan_date" id="txt_loan_date" class="easyui-datebox validBackward" style="width:122px;height:22px" required editable="false" value="<?= date("d-m-Y", strtotime($detail->LFDate));?>" readonly/></td>
                        </tr>
                        </table>
                        <table width="100%" cellpadding="0" cellspacing="0" style="margin-top:1px;">
                        <tr height="20">
                            <td rowspan="7" valign="top">&nbsp;</td>
                            <td width="122">&nbsp;</td>
                            <td width="190" style="background:#333399;text-align:center;color:#FFF;"><b>Availabel Balance (<span class='bank_balance_currency'></span>)</b></td>
                        </tr>
                        <tr height="20">
                        	<td>&nbsp;</td>
                            <td><input name="txt_bank_balance" id="txt_bank_balance" type="text" class="easyui-numberbox" data-options="precision:2,decimalSeparator:',',groupSeparator:'.',prefix:''" style="text-align:right;height:18px;width:316px" readonly /></td>
                        </tr>
                        </table>
                    </td>
				</tr>
			</table>
			</form>
		</div>
	</div>
    <div id="form-footer" data-options="region:'south',border:false">
			<table cellpadding="0" cellspacing="0" width="100%" height="100%" border="0">
				 <tr>
				   <td align="left">
						
				   </td>
					<td align="right">                              
						 <a href="javascript:void(0)" class="easyui-linkbutton" iconCls="icon-help" onclick="" plain="true">Help</a>	
                         <a href="javascript:void(0)" class="easyui-linkbutton form-button app-button" iconCls="icon-ok" onclick="app_dir()" <?= (($this->session->userdata("jobtitle_status") != 0 || !in_array($detail->TransStatus,array(5,6))) || (date('Y-m-d') < date('Y-m-d', strtotime($detail->LFDate))))?'disabled':''?>>App. Dir</a>	
                         <a href="javascript:void(0)" class="easyui-linkbutton form-button app-button" iconCls="icon-reload" onclick="app_reverse()" <?=(in_array($detail->TransStatus,array(1,2)))?'':'disabled'?> style="<?= $cek_autority_reverse;?>" >Reverse</a> 
                         <a href="javascript:void(0)" class="easyui-linkbutton form-button save-button" iconCls="icon-save" onclick="save_data()" <?=(in_array($detail->TransStatus,array(0,1,2,3)))?'disabled':''?> <?= $cek_autority_save;?>>Save</a> 								
                         <a href="javascript:void(0)" class="easyui-linkbutton form-button" iconCls="icon-print" onclick="parent.tab_edit('Print Loan Funding', '<?=$menu_link?>', 'icon-print', 'to_print_detail','<?= $detail->LFNumber;?>');" <?=(in_array($detail->TransStatus,array(4,5,6,1,2,3,9)))?'':'disabled'?>>Preview & Print</a>  
                         <a href="javascript:void(0)" class="easyui-linkbutton form-button" iconCls="icon-cancel" onclick="<?=($this->session->userdata('jobtitle_status')==0)?'suspend(2)':'parent.tab_close(\'tt\')'?>" <?=(!in_array($detail->TransStatus,array(0,5)))?'disabled':''?>><?=($this->session->userdata('jobtitle_status')==0)?'Cancel':'Close'?></a>			
					</td>
				 </tr>
			</table>				
		</div>
</div>

<script type="text/javascript">

var SavePrivillage 	= '<?=$group_user->SavePrivillage;?>';

$(document).ready(function(){

	var CurrencyCode = '<?= $detail->CurrencyCode; ?>';

    get_bank_balance('<?= $detail->ReceiptAccount; ?>',CurrencyCode); 

    if(CurrencyCode == 'IDR'){
    	$('#txt_rate').prop('readonly',true);	
    }


});

function cek_amount(value){
	var total = toAngka(value);
	$("#txt_amount").val(total);
}

function save_data(){ 	

	var total = $("#txt_amount").val();

	if(total < 1){
		$.messager.alert('Unseccessfull','Transaksi Belum Lengkap','error');
		return false;
	}else{

	    var login_as        = "<?= $this->session->userdata('username');?>";
	    var created_by      = "<?= $detail->CreatedBy;?>";
	    var depart_by       = "<?= $detail->DepartmentCode;?>";
		var depart_ses      = "<?= $this->session->userdata('department');?>";
		var jobtitle_status = "<?= $this->session->userdata('jobtitle_status');?>";

	    var no_transaksi    = $('#LFNumber').val();
	    var status          = '<?= $detail->TransStatus;?>';

	    //edit_data('<?=$menu_link?>','#fm_loan_funding',created_by,login_as,depart_by,depart_ses,jobtitle_status);

	    checking_update(no_transaksi,status,function(check){
        
	        if(check.status == true){
	            edit_data('<?=$menu_link?>','#fm_loan_funding',created_by,login_as,depart_by,depart_ses,jobtitle_status);
	        }else{
	            $.messager.alert('Unseccessfull',check.message,'error',function(){
	                location.reload();
	            });
	        }

	    });
	}
} 

function app_dir(){

	var no_transaksi    = $('#LFNumber').val();

    //approved_dir('<?=$menu_link?>','#fm_loan_funding');

    checking_approval(no_transaksi,function(check){
        
        if(check.status == false){
             approved_dir('<?=$menu_link?>','#fm_loan_funding');
        }else{
            $.messager.alert('Unseccessfull',check.message,'error',function(){
                location.reload();
            });
        }
    });
}

function app_reverse(){

	var no_transaksi    = $('#LFNumber').val();
    
    //reversed_data('F','<?=$menu_link?>',no_transaksi, 'Piutang Karyawan');

    checking_reverse(no_transaksi,function(check){
        
        if(check.status == true){
            reversed_data('F','<?=$menu_link?>',no_transaksi, 'Loan Funding');
        }else{
           $.messager.alert('Unseccessfull',check.message,'error',function(){
                location.reload();
            });
        }
    });
}

function app_payment(){

    var isLock          = '<?=$detail->LFIsLock;?>';
    var no_transaksi    = $('#LFNumber').val();

    if(isLock == 0){
       	parent.tab_add('New Loan Payment','list/loan_payment','icon-add','add/'+no_transaksi);
    }else{
        $.messager.alert('Unseccessfull','Loan Funding Lock. Tidak bisa melakukan transaksi payment.','error',function(){
            //location.reload();
        });
    }
    
}

function suspend(type){
    var created_by      = '<?php echo $detail->CreatedBy;?>';
    var login_as        = '<?php echo$this->session->userdata('username');?>';
    var job_title       = '<?php echo $this->session->userdata('jobtitle_status');?>';
    var url             = '<?= base_url();?>custom/custom/checking_suspend';
    
    suspend_check_trans('F', type, '<?=$menu_link?>', $('#LFNumber').val(), '<?=$menu_label;?>', url, created_by, login_as, job_title);
}

</script>